﻿/*  _______________________________________________________
                    A R D U I N O   O N B O A R D   L E D   T E S T
                            Ron Kessler for UCI Study Group
                                   Created 11/5/2021
    _______________________________________________________

Updated:
    11/5/2021 Initial testing works. This version has NO error handling.
                    Be sure to change com port name as needed. See Arduino IDE.

*/



using System;
using System.IO.Ports;
using System.Windows.Forms;

namespace OnBoard_LED_Test
{
    public partial class Form1 : Form
    {

        //---create new serial/USB port.    
        SerialPort serialPort1 = new SerialPort("COM6", 9600);
   
        public Form1()
        {
            InitializeComponent();          //leave this alone!
        }

        private void btnON_Click(object sender, EventArgs e)
        {
            //---open port and send character to be decoded in Arduino sketch
            serialPort1.Open();
            serialPort1.WriteLine("N");      //send 1 character over the wire
            serialPort1.Close();                //always close after using!!
        }

        private void btnOFF_Click(object sender, EventArgs e)
        {
            //---same as btnON code.
            serialPort1.Open();
            serialPort1.WriteLine("F");
            serialPort1.Close();
        }
    }
}
